.board {
    display: grid;
    grid-template-columns: repeat(5, 100px);
    grid-gap: 2px;
    justify-content: center;
}

.cell {
    width: 100px;
    height: 100px;
    background-color: #eee;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 2rem;
    cursor: pointer;
    font-weight: 900;
    font-family: "Permanent Marker", cursive;
}

.cell:hover {
    background-color: #ccc;
}

.line {
    position: absolute;
    background-color: red;
    z-index: 1;
}

h1 {
    text-align: center;
}

#message {
    text-align: center;
    margin-top: 20px;
    font-size: 1.5rem;
}

#restartBtn {
    display: none;
    margin-top: 20px;
    padding: 10px 20px;
    font-size: 1rem;
    cursor: pointer;
}

#score {
    text-align: center;
    margin-top: 20px;
    font-size: 1.5rem;
}
.disabled-cell {
    background-color: #f8f9fa;
    width: 100px;
    height: 100px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 2rem;
    pointer-events: none; /* Deshabilitamos eventos de clic */
    font-weight: 900;
    font-family: "Permanent Marker", cursive;
}